## lxml 4.8.0

=== debian/changelog ===
lxml (4.8.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:49:55 +0000

lxml (4.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 20:12:34 +0100

lxml (4.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jan 2022 10:26:46 +0100

lxml (4.6.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 18:17:40 +0100

lxml (4.6.3+dfsg-1) unstable; urgency=medium

  * Stop building the python3-lxml-dbg package. Closes: #994308.
  * Only build documentation for the default Python version; build documentation
    for the currently built version of lxml (Sebastian Ramacher).
    Closes: #990865.
  * Do not embed timestamps in html documentation (Vagrant Cascadian).
    Closes: #990952.
  * Don't embed the build path in the documentation (Vagrant Cascadian).
    Closes: #990969.
  * Set LC_ALL and LANG to C.UTF-8 to avoid reproducibility issues when
    generating html. (Vagrant Cascadian). Closes: #990969.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 12:46:13 +0200

=== debian/control ===
Source: lxml
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 10),
  dh-python,
  python3-all-dev (>= 3.3.3),
  libxml2-dev, libxslt1-dev, zlib1g-dev,
  python3-setuptools (>= 0.6.29),
  python3-bs4,
  python3-html5lib,
  cython3,
  python3-sphinx-autoapi,
X-Python-Version: all
Standards-Version: 4.5.1
Homepage: http://lxml.de/

Package: python3-lxml
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-bs4, python3-html5lib
Suggests: python-lxml-doc
Provides: ${python3:Provides}
Description: pythonic binding for the libxml2 and libxslt libraries
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from existing Python bindings. Its aim:
 .
   * Pythonic API.
   * Documented.
   * Use Python unicode strings in API.
   * Safe (no segfaults).
   * No manual memory management!
 .
 lxml aims to provide a Pythonic API by following as much as possible
 the ElementTree API, trying to avoid inventing too many new APIs,
 or the user's having to learn new things -- XML is complicated enough.

Package: python-lxml-doc
Priority: optional
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: python3-lxml
Description: pythonic binding for the libxml2 and libxslt libraries (documentation)
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from these existing Python bindings.
 .
 This package contains the html documentation.

## lxml 4.9.1

=== debian/changelog ===
lxml (4.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 13:51:24 +0200

## lxml 4.9.2

=== debian/changelog ===
lxml (4.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 11:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   cython3,
   python3-sphinx-autoapi,
 X-Python-Version: all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://lxml.de/
 
 Package: python3-lxml

## lxml 4.9.3

=== debian/changelog ===
lxml (4.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jul 2023 09:05:01 +0200

## lxml 4.9.4

=== debian/changelog ===
lxml (4.9.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.
  * Build-depend on python3-cssselect, and recommend it. Closes: #1017067.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2023 10:16:59 +0100

## lxml 5.1.0

=== debian/changelog ===
lxml (5.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jan 2024 01:03:02 +0100

## lxml 5.2.1

=== Makefile ===
PYTHON?=python3
TESTFLAGS=-p -v
TESTOPTS=
SETUPFLAGS=
LXMLVERSION:=$(shell $(PYTHON) -c 'import re; print(re.findall(r"__version__\s*=\s*\"([^\"]+)\"", open("src/lxml/__init__.py").read())[0])' )

PYTHON_WITH_CYTHON?=$(shell $(PYTHON)  -c 'import Cython.Build.Dependencies' >/dev/null 2>/dev/null && echo " --with-cython" || true)
CYTHON_WITH_COVERAGE?=$(shell $(PYTHON) -c 'import Cython.Coverage; import sys; assert not hasattr(sys, "pypy_version_info")' >/dev/null 2>/dev/null && echo " --coverage" || true)

PYTHON_BUILD_VERSION ?= *
MANYLINUX_LIBXML2_VERSION=2.12.6
MANYLINUX_LIBXSLT_VERSION=1.1.39
MANYLINUX_CFLAGS=-O3 -g1 -pipe -fPIC -flto
MANYLINUX_LDFLAGS=-flto

MANYLINUX_IMAGES= \
	manylinux1_x86_64 \
	manylinux1_i686 \
	manylinux_2_24_x86_64 \
	manylinux_2_24_i686 \
	manylinux2014_aarch64 \
	manylinux_2_24_aarch64 \
	manylinux_2_24_ppc64le \
	manylinux_2_28_x86_64 \
	manylinux_2_28_aarch64 \
	manylinux_2_28_ppc64le \
	manylinux_2_24_s390x \
	musllinux_1_1_x86_64 \
    musllinux_1_1_aarch64

.PHONY: all inplace rebuild-sdist sdist build require-cython wheel_manylinux wheel

all: inplace

# Build in-place
inplace:
	$(PYTHON) setup.py $(SETUPFLAGS) build_ext -i $(PYTHON_WITH_CYTHON) --warnings $(subst --,--with-,$(CYTHON_WITH_COVERAGE)) -j7

rebuild-sdist: require-cython
	rm -f dist/lxml-$(LXMLVERSION).tar.gz
	find src -name '*.c' -exec rm -f {} \;
	$(MAKE) dist/lxml-$(LXMLVERSION).tar.gz

dist/lxml-$(LXMLVERSION).tar.gz:
	$(PYTHON) setup.py $(SETUPFLAGS) sdist $(PYTHON_WITH_CYTHON)

sdist: dist/lxml-$(LXMLVERSION).tar.gz

build:
	$(PYTHON) setup.py $(SETUPFLAGS) build $(PYTHON_WITH_CYTHON) --warnings

require-cython:
	@[ -n "$(PYTHON_WITH_CYTHON)" ] || { \
	    echo "NOTE: missing Cython - please use this command to install it: $(PYTHON) -m pip install Cython"; false; }

qemu-user-static:
	docker run --rm --privileged multiarch/qemu-user-static --reset -p yes

wheel_manylinux: $(addprefix wheel_,$(MANYLINUX_IMAGES))
$(addprefix wheel_,$(filter-out %_x86_64, $(filter-out %_i686, $(MANYLINUX_IMAGES)))): qemu-user-static

wheel_%: dist/lxml-$(LXMLVERSION).tar.gz
	time docker run --rm -t \
		-v $(shell pwd):/io \
		-e AR=gcc-ar \
		-e NM=gcc-nm \
		-e RANLIB=gcc-ranlib \
		-e CFLAGS="$(MANYLINUX_CFLAGS) $(if $(patsubst %aarch64,,$@),-march=core2 -msse4.1 -msse4.2,-march=armv8-a -mtune=cortex-a72)" \
		-e LDFLAGS="$(MANYLINUX_LDFLAGS)" \
		-e STATIC_DEPS="${STATIC_DEPS}" \
		-e LIBXML2_VERSION="$(MANYLINUX_LIBXML2_VERSION)" \
		-e LIBXSLT_VERSION="$(MANYLINUX_LIBXSLT_VERSION)" \
		-e PYTHON_BUILD_VERSION="$(PYTHON_BUILD_VERSION)" \
		-e WHEELHOUSE=$(subst wheel_,wheelhouse/,$@) \
		quay.io/pypa/$(subst wheel_,,$@) \
		bash /io/tools/manylinux/build-wheels.sh /io/$<

wheel:
	$(PYTHON) setup.py $(SETUPFLAGS) bdist_wheel $(PYTHON_WITH_CYTHON) --warnings

wheel_static:
	$(PYTHON) setup.py $(SETUPFLAGS) bdist_wheel $(PYTHON_WITH_CYTHON) --warnings --static-deps

test_build: build
	$(PYTHON) test.py $(TESTFLAGS) $(TESTOPTS)

test_inplace: inplace
	$(PYTHON) test.py $(TESTFLAGS) $(TESTOPTS) $(CYTHON_WITH_COVERAGE)

valgrind_test_inplace: inplace
	valgrind --tool=memcheck --leak-check=full --num-callers=30 --suppressions=valgrind-python.supp \
		$(PYTHON) test.py

fuzz: clean
	$(MAKE) \
		CC="/usr/bin/clang" \
		CFLAGS="$$CFLAGS -fsanitize=fuzzer-no-link -g2" \
		CXX="/usr/bin/clang++" \
		CXXFLAGS="-fsanitize=fuzzer-no-link" \
		inplace
	$(PYTHON) src/lxml/tests/fuzz_xml_parse.py

gdb_test_inplace: inplace
	@echo "file $(PYTHON)\nrun test.py" > .gdb.command
	gdb -x .gdb.command -d src -d src/lxml

bench_inplace: inplace
	$(PYTHON) benchmark/bench_etree.py -i
	$(PYTHON) benchmark/bench_xpath.py -i
	$(PYTHON) benchmark/bench_xslt.py -i
	$(PYTHON) benchmark/bench_objectify.py -i

ftest_build: build
	$(PYTHON) test.py -f $(TESTFLAGS) $(TESTOPTS)

ftest_inplace: inplace
	$(PYTHON) test.py -f $(TESTFLAGS) $(TESTOPTS)

apidoc: apidocclean inplace
	@[ -x "`command -v sphinx-apidoc`" ] \
		&& (echo "Generating API docs ..." && \
			PYTHONPATH=src:$(PYTHONPATH) sphinx-apidoc -e -P -T -o doc/api src/lxml \
				"*includes" "*tests" "*pyclasslookup.py" "*usedoctest.py" "*html/_html5builder.py" \
				"*.so" "*.pyd") \
		|| (echo "not generating Sphinx autodoc API rst files")

apihtml: apidoc inplace
	@[ -x "`command -v sphinx-build`" ] \
		&& (echo "Generating API docs ..." && \
			make -C doc/api html) \
		|| (echo "not generating Sphinx autodoc API documentation")

website: inplace docclean
	PYTHONPATH=src:$(PYTHONPATH) $(PYTHON) doc/mkhtml.py doc/html . ${LXMLVERSION}

html: apihtml website s5

s5:
	$(MAKE) -C doc/s5 slides

apipdf: apidoc inplace
	rm -fr doc/api/_build
	@[ -x "`command -v sphinx-build`" ] \
		&& (echo "Generating API PDF docs ..." && \
			make -C doc/api latexpdf) \
		|| (echo "not generating Sphinx autodoc API PDF documentation")

pdf: apipdf pdfclean
	$(PYTHON) doc/mklatex.py doc/pdf . ${LXMLVERSION}
	(cd doc/pdf && pdflatex lxmldoc.tex \
		    && pdflatex lxmldoc.tex \
		    && pdflatex lxmldoc.tex)
	@cp doc/pdf/lxmldoc.pdf doc/pdf/lxmldoc-${LXMLVERSION}.pdf
	@echo "PDF available as doc/pdf/lxmldoc-${LXMLVERSION}.pdf"

# Two pdflatex runs are needed to build the correct Table of contents.

test: test_inplace

valtest: valgrind_test_inplace

gdbtest: gdb_test_inplace

bench: bench_inplace

ftest: ftest_inplace

clean:
	find src \( -name '*.o' -o -name '*.so' -o -name '*.py[cod]' -o -name '*.dll' \) -exec rm -f {} \;
	rm -rf build

docclean:
	$(MAKE) -C doc/s5 clean
	rm -f doc/html/*.html

pdfclean:
	rm -fr doc/pdf

apidocclean:
	rm -fr doc/html/api
	rm -f doc/api/lxml*.rst
	rm -fr doc/api/_build

realclean: clean docclean apidocclean
	find src -name '*.c' -exec rm -f {} \;
	rm -f TAGS
	$(PYTHON) setup.py clean -a --without-cython

=== requirements.txt ===
Cython>=3.0.10

=== debian/changelog ===
lxml (5.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Apr 2024 22:07:13 +0200

lxml (5.2.0-1) unstable; urgency=medium

  * New upstream version.
    - The ``lxml.html.clean`` implementation suffered from several (only
      if used) security issues in the past. Removed. LP: #1958539.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 17:29:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,19 @@
   libxml2-dev, libxslt1-dev, zlib1g-dev,
   python3-setuptools (>= 0.6.29),
   python3-bs4,
+  python3-cssselect,
   python3-html5lib,
   cython3,
   python3-sphinx-autoapi,
 X-Python-Version: all
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://lxml.de/
 
 Package: python3-lxml
 Architecture: any
 Multi-Arch: same
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python3-bs4, python3-html5lib
+Recommends: python3-bs4, python3-cssselect, python3-html5lib
 Suggests: python-lxml-doc
 Provides: ${python3:Provides}
 Description: pythonic binding for the libxml2 and libxslt libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY3VERS	:= $(shell py3versions -vs)
PY3VER	:= $(shell py3versions -vd)

include /usr/share/dpkg/pkg-info.mk

include /usr/share/python3/python.mk

# Some locales trigger reproducibility issues in html documentation
export LC_ALL=C.UTF-8
export LANG=C.UTF-8

prebuild: prebuild-stamp
prebuild-stamp: src/lxml/etree.pyx src/lxml/objectify.pyx
#	cython src/lxml/etree.pyx src/lxml/objectify.pyx
	touch $@

build-arch: build
build-indep: build
build: build3-stamp

build3-stamp: $(PY3VERS:%=build3-python%) doc-build3-python$(PY3VER)
	touch $@
build3-python%: prebuild
	python$* setup.py build
	touch $@
doc-build3-python$(PY3VER): build3-python$(PY3VER)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(call py_builddir, $(PY3VER)) python$(PY3VER) doc/mkhtml.py doc/html . $(DEB_VERSION_UPSTREAM)
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build*-stamp build*-python* dbg-build*-python* prebuild-stamp
	rm -rf build dist __pycache__
#	rm -f src/lxml/lxml.etree_api.h src/lxml/lxml.etree.c \
#	      src/lxml/lxml.etree.h src/lxml/lxml.objectify.c

	-find -name '*.py[co]' | xargs rm -f
	rm -rf [23].[0-9]
	rm -f src/lxml/lxml-version.h
	dh_clean 

install: build install-prereq $(PY3VERS:%=install3-python%)
	-find debian -name '*.py[co]' | xargs rm -f
	-find debian -name __pycache__ | xargs rm -rf
	rm -rf debian/python*-lxml/usr/lib/python

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep

install3-python%:
	mkdir -p debian/python3-lxml/usr/bin
	mkdir -p debian/python3-lxml/$(call py_libdir, $*)
	python$* setup.py install \
		--root=$(CURDIR)/debian/python3-lxml --install-layout=deb

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	mkdir -p debian/python-lxml-doc/usr/share/doc/python-lxml
	cp -r doc/html debian/python-lxml-doc/usr/share/doc/python-lxml/
	ln -sf ../python-lxml/html debian/python-lxml-doc/usr/share/doc/python-lxml-doc/html
	dh_installexamples -i samples/*
	dh_compress -i -X.xml -X.py \
	    -X.html -X.css -X.asc -X.png -Xapi-objects.txt
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a CHANGES.txt
	dh_installdocs -a CREDITS.txt README.rst TODO.txt
	dh_installexamples -a samples/*
	dh_python3 -a
	dh_strip -ppython3-lxml
	dh_compress -a -X.xml -X.py \
	    -X.html -X.css -X.asc -X.png -Xapi-objects.txt
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lxml 5.2.2

=== debian/changelog ===
lxml (5.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 09:48:42 +0200

## lxml 5.3.0

=== debian/changelog ===
lxml (5.3.0-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 07:02:38 +0000

lxml (5.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 13:00:33 +0200

lxml (5.2.2-2) unstable; urgency=medium

  * debian/rules: Set DPKG_EXPORT_BUILDFLAGS = 1 and include
    /usr/share/dpkg/buildflags.mk to pick up the correct compiler flags
    (Julian Andres Klode) Closes: ##1078271.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Aug 2024 06:31:54 +0200

## lxml 5.3.1

=== debian/changelog ===
lxml (5.3.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:57:30 +0000

lxml (5.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2025 14:14:16 +0100

## lxml 5.3.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PYTHON?=python3
-TESTFLAGS=-p -v
+TESTFLAGS=-p -vv
 TESTOPTS=
 SETUPFLAGS=
 LXMLVERSION:=$(shell $(PYTHON) -c 'import re; print(re.findall(r"__version__\s*=\s*\"([^\"]+)\"", open("src/lxml/__init__.py").read())[0])' )
@@ -8,8 +8,8 @@
 CYTHON_WITH_COVERAGE?=$(shell $(PYTHON) -c 'import Cython.Coverage; import sys; assert not hasattr(sys, "pypy_version_info")' >/dev/null 2>/dev/null && echo " --coverage" || true)
 
 PYTHON_BUILD_VERSION ?= *
-MANYLINUX_LIBXML2_VERSION=2.12.6
-MANYLINUX_LIBXSLT_VERSION=1.1.39
+MANYLINUX_LIBXML2_VERSION=2.12.10
+MANYLINUX_LIBXSLT_VERSION=1.1.42
 MANYLINUX_CFLAGS=-O3 -g1 -pipe -fPIC -flto
 MANYLINUX_LDFLAGS=-flto
 
@@ -65,7 +65,7 @@
 		-e AR=gcc-ar \
 		-e NM=gcc-nm \
 		-e RANLIB=gcc-ranlib \
-		-e CFLAGS="$(MANYLINUX_CFLAGS) $(if $(patsubst %aarch64,,$@),-march=core2 -msse4.1 -msse4.2,-march=armv8-a -mtune=cortex-a72)" \
+		-e CFLAGS="$(MANYLINUX_CFLAGS) $(if $(patsubst %aarch64,,$@),-march=core2,-march=armv8-a -mtune=cortex-a72)" \
 		-e LDFLAGS="$(MANYLINUX_LDFLAGS)" \
 		-e STATIC_DEPS="${STATIC_DEPS}" \
 		-e LIBXML2_VERSION="$(MANYLINUX_LIBXML2_VERSION)" \

=== debian/changelog ===
lxml (5.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 11:01:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10),
   dh-python,
-  python3-all-dev (>= 3.3.3),
+  python3-all-dev,
   libxml2-dev, libxslt1-dev, zlib1g-dev,
-  python3-setuptools (>= 0.6.29),
+  python3-setuptools,
   python3-bs4,
   python3-cssselect,
   python3-html5lib,
   cython3,
   python3-sphinx-autoapi,
 X-Python-Version: all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://lxml.de/
 
 Package: python3-lxml

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+DPKG_EXPORT_BUILDFLAGS = 1
 
 PY3VERS	:= $(shell py3versions -vs)
 PY3VER	:= $(shell py3versions -vd)
 
 include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/python3/python.mk
 
 # Some locales trigger reproducibility issues in html documentation

## lxml 5.4.0

=== debian/changelog ===
lxml (5.4.0-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:35 +0200

lxml (5.4.0-1) unstable; urgency=medium

  * New upstream version (no source changes).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 17:06:29 +0200

## lxml 6.0.1

=== doc/api/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

html:
	@$(SPHINXBUILD) -b html "$(SOURCEDIR)" -d "$(BUILDDIR)/doctrees" ../html/apidoc $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
lxml (6.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2025 12:03:31 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://pypi.debian.net/lxml/lxml-(.*).tar.gz

## lxml 6.0.2

=== debian/changelog ===
lxml (6.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 11:19:31 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   cython3,
   python3-sphinx-autoapi,
 X-Python-Version: all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://lxml.de/
 
 Package: python3-lxml
